Bug 229456 - security/openvpn-auth-radius don't compile on FreeBSD 11.2-RELEASE
Summary: security/openvpn-auth-radius don't compile on FreeBSD 11.2-RELEASE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Koichiro Iwao
URL: https://reviews.freebsd.org/D16135
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-01 17:12 UTC by nicolas
Modified: 2018-07-09 08:38 UTC (History)
2 users (show)

See Also:
meta: maintainer-feedback+


Attachments
RadiusPacket.cpp bind fix patch (477 bytes, patch)
2018-07-01 17:19 UTC, nicolas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nicolas 2018-07-01 17:12:30 UTC
openvpn-auth-radius don't compile on FreeBSD 11.2-RELEASE.

RadiusClass/RadiusPacket.cpp:445:78: error: invalid operands to binary expression ('__bind<int &, sockaddr *, unsigned long>' and 'int')
    if(bind(socket2Radius,(struct sockaddr*)&cliAddr,sizeof(struct sockaddr))<0)
       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~

Manual compilation and port compilation produce the same result.

Port compilation log: http://beefy12.nyi.freebsd.org/data/head-amd64-default/p464852_s331113/logs/openvpn-auth-radius-2.1_3.log
Comment 1 nicolas 2018-07-01 17:19:05 UTC
Created attachment 194819 [details]
RadiusPacket.cpp bind fix patch

Please find patch to allow openvpn-auth-radius to be compiled.
Comment 2 Koichiro Iwao freebsd_committer 2018-07-04 03:00:46 UTC
Confirmed submitted patch fixes the build.
Comment 3 Koichiro Iwao freebsd_committer 2018-07-09 02:06:30 UTC
poudriere testbuild finished fine on 11.2amd64, 11.1amd64, 10.4amd64.
I'll commit it after maintainer's approval.
Comment 4 Koichiro Iwao freebsd_committer 2018-07-09 03:01:22 UTC
Maintainer approved (via email).
Comment 5 commit-hook freebsd_committer 2018-07-09 08:36:41 UTC
A commit references this bug:

Author: meta
Date: Mon Jul  9 08:36:03 UTC 2018
New revision: 474240
URL: https://svnweb.freebsd.org/changeset/ports/474240

Log:
  security/openvpn-auth-radius: fix build on 11.2-RELEASE

  PR:		229456
  Submitted by:	nicolas@deffayet.com
  Approved by:	maintainer, pi (mentor)
  MFC after:	2018Q3
  Sponsored by:		HAW International, Inc.
  Differential Revision:	https://reviews.freebsd.org/D16135

Changes:
  head/security/openvpn-auth-radius/Makefile
  head/security/openvpn-auth-radius/files/patch-Makefile.bsd
  head/security/openvpn-auth-radius/files/patch-RadiusClass_RadiusPacket.cpp
Comment 6 Koichiro Iwao freebsd_committer 2018-07-09 08:38:34 UTC
Committed, thanks!